org.apache.fop.render.rtf.rtflib.rtfdoc

## Interface IRtfTextContainer

- All Known Subinterfaces:
    IRtfHyperLinkContainer
  All Known Implementing Classes:
    RtfHyperLink, RtfParagraph

      public interface IRtfTextContainer

  Interface for RtfElements that can contain RtfText elements.

  This work was authored by Bertrand Delacretaz (bdelacretaz@codeconsult.ch).

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `RtfAttributes` | `getTextContainerAttributes()` Text containers usually provide default attributes for all texts that they contain.
    `void` | `newLineBreak()` Add a line break
    `RtfText` | `newText(String str)` Close current text run, if any, and start a new one with default attributes
    `RtfText` | `newText(String str, RtfAttributes attr)` Close current text element, if any, and start a new one

- - ### Method Detail

    - #### newText

          RtfText newText(String str,
                          RtfAttributes attr)
                   throws IOException

      Close current text element, if any, and start a new one
      Parameters:
        `str` - if not null, added to the RtfText created
        `attr` - attributes for text
      Returns:
        new text object
      Throws:
        `IOException` - for I/O problems

    - #### newText

          RtfText newText(String str)
                   throws IOException

      Close current text run, if any, and start a new one with default attributes
      Parameters:
        `str` - if not null, added to the RtfText created
      Returns:
        a new text object
      Throws:
        `IOException` - for I/O problems

    - #### newLineBreak

          void newLineBreak()
                     throws IOException

      Add a line break
      Throws:
        `IOException` - for I/O problems

    - #### getTextContainerAttributes

          RtfAttributes getTextContainerAttributes()
                                            throws FOPException

      Text containers usually provide default attributes for all texts that they contain.
      Returns:
        a copy of the container's attributes.
      Throws:
        `FOPException` - if attributes cannot be obtained

Copyright © 2023 Apache Software Foundation. All rights reserved.